Bug 505959 - anaconda acting up
anaconda acting up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:d3a05bb4b2550a473...
:
: 528824 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 19:55 EDT by vmusman
Modified: 2010-12-05 01:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:51:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (280.56 KB, text/plain)
2009-06-14 19:55 EDT, vmusman
no flags Details
Attached traceback automatically from anaconda. (121.26 KB, text/plain)
2009-06-24 05:44 EDT, amurad
no flags Details

  None (edit)
Description vmusman 2009-06-14 19:55:42 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 397, in lvactivate
    raise LVMError("lvactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2099, in setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1305, in handleUdevLVMPVFormat
    lv_device.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 1545, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1201, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvactivate failed for LogVol00
Comment 1 vmusman 2009-06-14 19:55:47 EDT
Created attachment 347871 [details]
Attached traceback automatically from anaconda.
Comment 2 amurad 2009-06-24 05:44:11 EDT
Created attachment 349216 [details]
Attached traceback automatically from anaconda.
Comment 3 amurad 2009-06-24 05:50:57 EDT
Comment on attachment 349216 [details]
Attached traceback automatically from anaconda.

This is actually the result of another crash bug.  When creating an LVM / ext4 partition on an Adaptec RAID array, Anaconda crashed.  Upon reboot, it again crashes when probing the LVM on the RAID.  Result in being unable to install Linux with the RAID array active.
Comment 4 Chris Lumens 2009-10-14 08:28:26 EDT
*** Bug 528824 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-11-16 05:11:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:06:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 01:51:12 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.